#!/bin/bash
mkdir -p NOK/
echo num status mV/m > anfr.log
for mesure in `seq 1 16350`; do
	echo doing $mesure
	#16350 is found by dichotomy on cartoradio.fr

	if [ ! -f $mesure.htm ]; then
		sleep 2
		wget -O $mesure.htm -o /dev/null http://www.cartoradio.fr/html/FicheMesure$mesure.htm
		if [ "$?" != "0" ]; then 
			echo "$mesure non-existent 0000" >> anfr.log
			rm $mesure.htm
		fi
	fi
	if [ -f $mesure.htm ]; then 
		grep -A1 "ensemble des..metteurs" $mesure.htm |tail -1|grep Oui > /dev/null
		if [ "$?" != "0" ]; then
			max=`grep -A1 GSM.[0-9] $mesure.htm|grep -v GSM|grep -v '^--$'|sed "s/<TD ALIGN=CENTER><p><b> *\(.*\),\(.\).*$/\1\200/"|sort -n|tail -1`
			echo "$mesure over-limit $max" >> anfr.log
			cp $mesure.htm NOK/
		else
			max=`grep -A1 GSM.[0-9] $mesure.htm|grep -v GSM|grep -v '^--$'|sed "s/<TD ALIGN=CENTER><p><b> *\(.*\),\(.\).*$/\1\200/"|sort -n|tail -1`
			echo "$mesure ok $max" >> anfr.log
		fi
	fi
done
